/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Tribal Courage\conversations.cs
Lines of code: 75
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.TribalCouragesKillQuest
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "On a quest already? That's too bad. I was hoping you could help me. Come back when you've finished your quest.";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{				
				return "Great, I can see the courage burning in you! Head inside the orc caves and kill them. When you've completed your task, come back to see me. I have a bag of treasure here for you upon completion.";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			KillObjective ko = new KillObjective();
			
			QuestKillEntry entry1 = new QuestKillEntry("Orc","Orcs in the caves",20);
			entry1.AddLocation(new Rectangle2D(new Point2D(5127,1942),new Point2D(5166,2016)),Map.Trammel);
			entry1.AddLocation(new Rectangle2D(new Point2D(5280,1282),new Point2D(5373,1385)),Map.Trammel);
			entry1.AddLocation(new Rectangle2D(new Point2D(5260,1953),new Point2D(5366,2039)),Map.Trammel);
			
			QuestKillEntry entry2 = new QuestKillEntry("OrcishMage","Orc Mages in the caves",15);
			entry2.AddLocation(new Rectangle2D(new Point2D(5127,1942),new Point2D(5166,2016)),Map.Trammel);
			entry2.AddLocation(new Rectangle2D(new Point2D(5280,1282),new Point2D(5373,1385)),Map.Trammel);
			entry2.AddLocation(new Rectangle2D(new Point2D(5260,1953),new Point2D(5366,2039)),Map.Trammel);
			
			QuestKillEntry entry3 = new QuestKillEntry("OrcScout","Orc Scouts in the caves",10);
			entry3.AddLocation(new Rectangle2D(new Point2D(5127,1942),new Point2D(5166,2016)),Map.Trammel);
			entry3.AddLocation(new Rectangle2D(new Point2D(5280,1282),new Point2D(5373,1385)),Map.Trammel);
			entry3.AddLocation(new Rectangle2D(new Point2D(5260,1953),new Point2D(5366,2039)),Map.Trammel);
			
			QuestKillEntry entry4 = new QuestKillEntry("OrcBrute","Orc Brutes in the caves",5);
			entry4.AddLocation(new Rectangle2D(new Point2D(5127,1942),new Point2D(5166,2016)),Map.Trammel);
			entry4.AddLocation(new Rectangle2D(new Point2D(5280,1282),new Point2D(5373,1385)),Map.Trammel);
			entry4.AddLocation(new Rectangle2D(new Point2D(5260,1953),new Point2D(5366,2039)),Map.Trammel);
			
			ko.AddQKE(entry1);
			ko.AddQKE(entry2);
			ko.AddQKE(entry3);
			ko.AddQKE(entry4);
			System.AddObjective( ko );
			
			System.ShowQuestLogUpdated();
		}
	}

	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You are very courageous to have killed all those orcs. I am impressed by your fighting ability. Here is the bag of treasure I promised.";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			TribalCouragesKillQuest.GiveRewardTo( System.From );
		}
	}		
	
	
}